<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.60</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

</head>

<body>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
        integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script>
        var v1 = {
            name: "David Rayy",
            sclass: "VI",
            rollno: 12
        }
        console.log(Object.keys(v1));

        delete v1["rollno"];
        console.log(v1);

        console.log(Object.keys(v1).length);

        var v2 = [6,4,0, 3,-2,1];
        var task4 = arr => arr.sort((a,b) => {
            return a - b;
        })
        console.log(task4(v2));

        var v3 = "dog";
        var arrayStr = string => string.split('');
 
        console.log(arrayStr(v3));

        var v4 = ["white", "blue", "yellow", "black", "red", "green"];
        var [a, b, ...c ] = v4;
        console.log(a);
        console.log(b);
        console.log(c);
        console.log(a,b,c)

        var v5 = [70, 10];
        var [a, b] = v5 ;
        console.log(`Sum of ${a} and ${b} is ${a+b}`);

        var v6 = "JavaScript";
        var task8 = v6.split("");
        console.log(task8);

        var v7 = new Date('Nov 17, 2014');
        var task9 = string => {
            var day = string.getDay();
            if(day >= 5){
                return true;
            }
            return false;
        };
        console.log(task9(v7));

        var v8 = new Date('2022,2');
        var task10 = string => {
            return string.getMonth()
        }

        console.log(task10(v8));
    </script>
</body>

</html>